import { ClaimService, IClaimInput } from './claim.service';
import { MatchResultRepository, FindOptions as FindMatchOptions } from './repositories/MatchResult/MatchResult.repository';
import { LeftoverConsumptionRepository, FindOptions as FindLeftoverOptions } from './repositories/LeftoverConsumption/LeftoverConsumption.repository';
import { ExcessGenerationRepository, FindOptions as FindExcessOptions } from './repositories/ExcessGeneration/ExcessGeneration.repository';
export declare class ClaimFacade {
    private claimService;
    private matchResultRepository;
    private leftoverConsumptionRepository;
    private excessGenerationRepository;
    constructor(claimService: ClaimService, matchResultRepository: MatchResultRepository, leftoverConsumptionRepository: LeftoverConsumptionRepository, excessGenerationRepository: ExcessGenerationRepository);
    claim(input: IClaimInput): Promise<import("./claim.service").IRaport>;
    findLeftoverConsumption(options: FindLeftoverOptions): Promise<import("./repositories/LeftoverConsumption/LeftoverConsumption.entity").LeftoverConsumptionEntity[]>;
    findExcessGeneration(options: FindExcessOptions): Promise<import("./repositories/ExcessGeneration/ExcessGeneration.entity").ExcessGenerationEntity[]>;
    findMatches(options: FindMatchOptions): Promise<import("./repositories/MatchResult/MatchResult.entity").MatchResultEntity[]>;
}
